Package co.nstant.in.cbor.builder

## Class ArrayBuilder<T extends AbstractBuilder<?>>

- java.lang.Object
- - co.nstant.in.cbor.builder.AbstractBuilder<T>
  - - co.nstant.in.cbor.builder.ArrayBuilder<T>

-     public class ArrayBuilder<T extends AbstractBuilder<?>>
      extends AbstractBuilder<T>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArrayBuilder​(T parent, Array array)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ArrayBuilder<T>` | `add​(boolean value)` |
    `ArrayBuilder<T>` | `add​(byte[] bytes)` |
    `ArrayBuilder<T>` | `add​(double value)` |
    `ArrayBuilder<T>` | `add​(float value)` |
    `ArrayBuilder<T>` | `add​(long value)` |
    `ArrayBuilder<T>` | `add​(DataItem dataItem)` |
    `ArrayBuilder<T>` | `add​(String string)` |
    `ArrayBuilder<ArrayBuilder<T>>` | `addArray()` |
    `MapBuilder<ArrayBuilder<T>>` | `addMap()` |
    `T` | `end()` |
    `ArrayBuilder<ArrayBuilder<T>>` | `startArray()` |
    `MapBuilder<ArrayBuilder<T>>` | `startMap()` |
    `ArrayBuilder<T>` | `tagged​(long tag)` |

    - ### Methods inherited from class co.nstant.in.cbor.builder.AbstractBuilder

      `addChunk, convert, convert, convert, convert, convert, convert, convert, getHalfPrecisionFloatDecoder, getHalfPrecisionFloatEncoder, getParent, tag`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArrayBuilder

          public ArrayBuilder​(T parent,
                              Array array)

  - ### Method Detail

    - #### add

          public ArrayBuilder<T> add​(DataItem dataItem)

    - #### add

          public ArrayBuilder<T> add​(long value)

    - #### add

          public ArrayBuilder<T> add​(boolean value)

    - #### add

          public ArrayBuilder<T> add​(float value)

    - #### add

          public ArrayBuilder<T> add​(double value)

    - #### add

          public ArrayBuilder<T> add​(byte[] bytes)

    - #### add

          public ArrayBuilder<T> add​(String string)

    - #### tagged

          public ArrayBuilder<T> tagged​(long tag)

    - #### addArray

          public ArrayBuilder<ArrayBuilder<T>> addArray()

    - #### startArray

          public ArrayBuilder<ArrayBuilder<T>> startArray()

    - #### addMap

          public MapBuilder<ArrayBuilder<T>> addMap()

    - #### startMap

          public MapBuilder<ArrayBuilder<T>> startMap()

    - #### end

          public T end()